classification
Title: docs.python.org not getting updated
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: chris.jerdonek, docs@python, ezio.melotti, georg.brandl, loewis, ned.deily, python-dev
Priority: normal Keywords:

Created on 2012-09-15 17:00 by chris.jerdonek, last changed 2012-09-23 13:03 by python-dev. This issue is now closed.

Messages (16)
msg170525 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-09-15 17:00
docs.python.org doesn't seem to be getting updated anymore.  For example, this revision from Tuesday, Sept 11 is not reflected:

http://hg.python.org/cpython/rev/c8d60d0c736b
msg170548 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-09-16 04:44
http://docs.python.org/dev/py3k/reference/datamodel.html says "Last updated on Sep 11, 2012".
msg170759 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-09-19 19:52
It has been 8 days since the last update.
msg170922 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-09-21 21:29
The 2.7 docs seem not to be affected by this issue (they are current) -- just the docs for 3.2 and the default branch.
msg170930 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-09-21 21:46
I believe Georg maintains cronjobs for updating the docs.
msg170955 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-09-22 06:49
When the docs don't update, there's usually an error in running Sphinx.

In this case, the recently committed patch for #78982 (in the Unicode howto) prevents the LaTeX build (or more exact, the pdflatex run) from completing.  Please revert that part of it.

(Aside: That is exactly the reason why I don't like these "make doctests run at all costs" patches.)
msg170967 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-09-22 08:19
I think the issue was #15899, and the change 8a40bc71c072.
msg170968 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-09-22 08:20
I'm working on it.
msg170969 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-09-22 08:25
New changeset 0799fd1f8887 by Ezio Melotti in branch '3.2':
#15949, 15899: avoid using non-latin1 chars in the doc (they break `make all-pdf`).
http://hg.python.org/cpython/rev/0799fd1f8887

New changeset 832999a97e59 by Ezio Melotti in branch 'default':
#15949, 15899: merge with 3.2.
http://hg.python.org/cpython/rev/832999a97e59
msg170970 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-09-22 08:28
This should be fixed now.

It would be nice if Sphinx could send a notification mail in case of failure, so that the next time we will notice and fix the problem earlier.
msg170987 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-09-22 11:14
I usually get the result of the cronjob via email if there's a failure; for a few weeks now this went to my spam folder, so I didn't immediately see something was wrong.
msg170990 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-09-22 12:54
In the future, now that a few more people know, we could always look to see what doc changes were made since the last "publication" of the docs (or run the other `make` commands locally, or ideally, beforehand in cases that warrant it).  The fact that 2.7 published and not the others should have been a tip off for me.

I wonder if `make patchcheck` could be enhanced to check for unsupported characters.

Lastly, is there a work-around for the inability to include � in the docs?  That particular difference between u.encode('replace') and bytes.decode('replace') (? vs. �) seems like an important one to me not to conflate.
msg170993 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-09-22 13:18
> I usually get the result of the cronjob via email if there's a failure;

Maybe it should go to python-committers or some other public ML, so that other devs can see and possibly fix the issue.


> I wonder if `make patchcheck` could be enhanced to check
> for unsupported characters.

That sounds like a good idea to me.

> Lastly, is there a work-around for the inability to include �
> in the docs?

'\ufffdabc' is acceptable, and it is what non-utf-8 terminals print.

> That particular difference between u.encode('replace') and 
> bytes.decode('replace') (? vs. �) seems like an important
> one to me not to conflate.

Indeed I was confusing the two.  I'm not actually even sure that the Unicode standard mandates these specific replacement characters (IIRC there's even a way to configure them), and I was under the impression that '?' was sometimes used during the decoding, but after a few tests it seems I was wrong.
msg170994 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-09-22 13:25
The distinction between ? vs. � for encode() and decode() is in the Python docs, but it's not prominent.  It's mentioned in codecs's "Codec Base Classes" but not in the encode() and decode() docs themselves:

http://docs.python.org/dev/library/codecs.html#codec-base-classes
msg170995 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-09-22 13:35
> The distinction between ? vs. � for encode() and decode()
> is in the Python docs, but it's not prominent.

The point is that I'm not even sure we make any guarantees about the replacement characters that we use.  I should check again what the Unicode standard says -- IIRC � was suggested, but it wasn't mandatory.
msg171033 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-09-23 13:03
New changeset 9c666683e309 by Ezio Melotti in branch '3.2':
#15949, #15899: use \ufffd instead of ?.
http://hg.python.org/cpython/rev/9c666683e309

New changeset 1aebae2f68da by Ezio Melotti in branch 'default':
#15949, #15899: merge with 3.2.
http://hg.python.org/cpython/rev/1aebae2f68da
History
Date User Action Args
2012-09-23 13:03:43python-devsetmessages: + msg171033
2012-09-22 13:35:18ezio.melottisetmessages: + msg170995
2012-09-22 13:25:02chris.jerdoneksetmessages: + msg170994
2012-09-22 13:18:09ezio.melottisetmessages: + msg170993
2012-09-22 12:54:24chris.jerdoneksetmessages: + msg170990
2012-09-22 11:14:12georg.brandlsetmessages: + msg170987
2012-09-22 08:28:48ezio.melottisetstatus: open -> closed
messages: + msg170970

assignee: docs@python -> ezio.melotti
resolution: fixed
stage: resolved
2012-09-22 08:25:41python-devsetnosy: + python-dev
messages: + msg170969
2012-09-22 08:20:02ezio.melottisetmessages: + msg170968
2012-09-22 08:19:26loewissetmessages: + msg170967
2012-09-22 06:49:25georg.brandlsetpriority: high -> normal

messages: + msg170955
2012-09-21 21:46:07ned.deilysetmessages: + msg170930
2012-09-21 21:29:21chris.jerdoneksetmessages: + msg170922
versions: + Python 3.2, Python 3.3
2012-09-20 05:23:31chris.jerdoneksetnosy: + loewis, ned.deily
2012-09-19 19:52:00chris.jerdoneksetpriority: normal -> high

messages: + msg170759
2012-09-16 04:44:46ezio.melottisetnosy: + georg.brandl, ezio.melotti
type: behavior
messages: + msg170548
2012-09-15 17:00:19chris.jerdonekcreate